package com.trade.service.filestorage.entity;

import com.trade.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 文件关联关系表实体类
 *
 * @author hlb
 * @since 2024-05-29 15:07:41
 */
public class BusinessRelateFile extends BaseEntity<BusinessRelateFile> {
    /**
     * 所属业务id
     */
    @NotNull(message = "所属业务id不能为空")
    private Long belongId;
    /**
     * 所属业务类型
     */
    @NotBlank(message = "所属业务类型不能为空")
    private String belongType;
    /**
     * 附件类型，如营业执照扫描件
     */
    private String fileType;
    /**
     * 附件ID
     */
    @NotNull(message = "文件id不能为空")
    private Long fileId;


    public Long getBelongId() {
        return belongId;
    }

    public void setBelongId(Long belongId) {
        this.belongId = belongId;
    }

    public String getBelongType() {
        return belongType;
    }

    public void setBelongType(String belongType) {
        this.belongType = belongType;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

}

